> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestsendbatchcommand-reserved-for-future-use.md).

# requestSendBatchCommand (Reserved for Future Use)

This query string sends a batch of commands to the device and returns the raw response from the device.

{% code overflow="wrap" %}

```
?operation= 
&httpMethod= 
&readerArgument= 
&destinationURL= 
&passInData=
```

{% endcode %}

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">operation</td><td valign="top">Operation to request from MagneFlex. Use: requestSendBatchCommand</td></tr><tr><td valign="top">httpMethod</td><td valign="top"><p>HTTP method to be used for the HTTP postback from MagneFlex. Use:</p><p>GET - returns the response data in the form of a query string. POST – recommended for EVM related transactions to accommodate limits on query string lengths.</p></td></tr><tr><td valign="top">readerArgument</td><td valign="top"><p>Batch of commands that should be sent to reader. Commands are delimited by the bar character ‘|’.</p><p>Example:</p><p>readerArgument=0900|000100|1500</p></td></tr><tr><td valign="top">destinationURL</td><td valign="top">MagneFlex will send the postback to this URL.</td></tr><tr><td valign="top">requestLocation</td><td valign="top"><p>Flag to send GPS location of the device from which Magneflex (iOS only) is hosted.</p><p>Use:</p><p>true – send location</p><p>false – do not send location</p></td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

Each input parameter supplied in the request is delimited by an ampersand character ‘&’, and the value for a parameter begins after an equal character ‘=’. Where ever a parameter contains multiple values, each are delimited by a comma character ‘,’.

**Return Value:**

The Batch Command response output in Hex string format of device raw response for this command.

<table data-header-hidden><thead><tr><th width="161.27276611328125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">errorCode</td><td valign="top">Error status. 0 is Success. Non-Zero is an error.</td></tr><tr><td valign="top">errorMessage</td><td valign="top">Description of the errorCode.</td></tr><tr><td valign="top">opType</td><td valign="top"><p>The type of operation. For this command the value is:</p><p>SEND_BATCH_COMMAND_RESULT</p></td></tr><tr><td valign="top">commandResult</td><td valign="top"><p>Result of a command sent to the device formatted as:</p><p>[command]-[result]</p><p>For each command sent in a batch is returned a separate commandResult. Example:</p><p>&#x26;commandResult=0900-000A9010010B355414000099 &#x26;commandResult=000100-000D31303030303033333534433033</p><p>&#x26;commandResult=1500-000103</p></td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestsendbatchcommand-reserved-for-future-use.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
